<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__ezi2c__general__functions" kind="group">
    <compoundname>group_scb_ezi2c_general_functions</compoundname>
    <title>General</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gaafe61aa4c2931975a8698afa46717b97" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gae75ed91d83e89dd9a13c9a832a138ffb">cy_en_scb_ezi2c_status_t</ref></type>
        <definition>cy_en_scb_ezi2c_status_t Cy_SCB_EZI2C_Init</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_ezi2c_config_t const *config, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__config__t">cy_stc_scb_ezi2c_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the SCB for the EZI2C operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the configuration structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__config__t">cy_stc_scb_ezi2c_config_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gae75ed91d83e89dd9a13c9a832a138ffb">cy_en_scb_ezi2c_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="137" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="377" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gac6b21a0094575d46e64d6fd0c0c4c073" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_DeInit</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_EZI2C_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>De-initializes the SCB block, returns the register values to default. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="172" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="379" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gae5c13ff7a89e0a75fbe83bd5dfc4fc95" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_EZI2C_Enable</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_EZI2C_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the SCB block for the EZI2C operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="542" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="539" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="380" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gac76d9847576cbbcc7f92206f1e8b35f6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_Disable</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Disables the SCB block and clears the context statuses. </para>        </briefdescription>
        <detaileddescription>
<para>Note that after the block is disabled, the TX and RX FIFOs and hardware statuses are cleared. Also, the hardware stops driving the output and ignores the input.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Calling this function while EZI2C is busy (the slave has been addressed and is communicating with the master), may cause transaction corruption because the hardware stops driving the output and ignores the input. Ensure that the EZI2C slave is not busy before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="207" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="381" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gab321bf749393f592131b61257af1d262" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_SetAddress1</definition>
        <argsstring>(CySCB_Type *base, uint8_t addr, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_SetAddress1</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>addr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Sets the primary EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The 7-bit right justified slave address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="556" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="546" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="383" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1ga1f1d07bd655fb78309119d2bbca4e25c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_EZI2C_GetAddress1</definition>
        <argsstring>(CySCB_Type const *base, cy_stc_scb_ezi2c_context_t const *context)</argsstring>
        <name>Cy_SCB_EZI2C_GetAddress1</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the primary the EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<itemizedlist>
<listitem><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The 7-bit right justified slave address. </para></simplesect>
</para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="584" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="578" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="384" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1ga2e81f148dad6ecd6d476546571995375" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_SetAddress2</definition>
        <argsstring>(CySCB_Type *base, uint8_t addr, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_SetAddress2</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>addr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Sets the secondary EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The 7-bit right justified slave address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Calling this function when the EZI2C slave is configured for one-address operation leads to unexpected behavior because it updates the address mask. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="667" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="659" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="386" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1ga9861dc3fe528d19c186df09525e26344" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_EZI2C_GetAddress2</definition>
        <argsstring>(CySCB_Type const *base, cy_stc_scb_ezi2c_context_t const *context)</argsstring>
        <name>Cy_SCB_EZI2C_GetAddress2</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the secondary EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The 7-bit right justified slave address. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="695" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="689" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="387" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>